import { IMessage } from 'botbuilder';
import { ExpectedMessage } from './ExpectedMessage';
/**
 * Manages the comparisons against expected messages and outgoingMessages that the BotTester framework intercepts
 */
export declare class OutgoingMessageComparator {
    private expectedMessages;
    private readonly ignoreOrder;
    constructor(expectedMessages: ExpectedMessage[], ignoreOrder: boolean);
    /**
     * compares the current outgoing message against the current expected message
     */
    compareOutgoingMessageToExpectedResponses(outgoingMessage: IMessage): void;
    /**
     * returns tfalse when all expected messages have been seen (e.g. test steps are emtpy)
     */
    expectsAdditionalMessages(): boolean;
    getTimeoutErrorMessage(): string;
    private compareOutgoingMessageToExpectedResponsesInOrder(outgoingMessage);
    private compareOutgoingMessageToExpectedResponsesWithoutOrder(outgoingMessage);
    /**
     * gets the next expected message and removes it from the expectedMessages
     */
    private dequeueNextExpectedMessage();
}
