import { IMessage } from 'botbuilder';
import { IExpectation } from './IExpectation';
/**
 * Expectations for chai based frameworks
 */
export declare class ChaiExpectation implements IExpectation {
    private subject;
    private message;
    constructor(subject: {}, message?: string);
    notToBeEmpty(): void;
    toEqual(value: {}): void;
    toInclude(value: {}): void;
    toBeTrue(): void;
    /**
     * deeply compares an outgoing message with the expected messages that are considered valid for this test to pass.
     * It does a subset comparison, so as long as the expected message is a subset of one of the expected responses, this will pass
     *
     * @param outgoingMessage actual message that bot sends
     */
    toDeeplyInclude(outgoingMessage: IMessage): void;
}
