import { IAddress, IMessage } from 'botbuilder';
/**
 * Returns true if a message
 */
export declare type MessageFilter = (message: IMessage) => boolean;
export interface IConfig {
    /**
     * timeout in milliseconds before a BotTester runner will fail a test (when not overriden)
     */
    timeout?: number;
    /**
     * default address bot will use for all communication (when not overriden)
     */
    defaultAddress?: IAddress;
    /**
     * ignores typing event messages
     */
    ignoreTypingEvent?: boolean;
    /**
     * ignores end of conversation event messages
     */
    ignoreEndOfConversationEvent?: boolean;
    /**
     * ignores the internal __save__ message. Setting this to true will cause checkSession to hang and test to fail
     */
    ignoreInternalSveMessage?: boolean;
    /**
     * filters for messages that the BotTester framework should use
     */
    messageFilters?: MessageFilter[];
}
/**
 * default value for timeout. If config/options are set to this value, no timeout will be used
 */
export declare const NO_TIMEOUT = -1;
export declare const config: IConfig;
