"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const builtInMessageFilters_1 = require("./builtInMessageFilters");
const configFilePath = `bot-tester.json`;
const configFileExists = fs.existsSync(configFilePath);
/**
 * default value for timeout. If config/options are set to this value, no timeout will be used
 */
exports.NO_TIMEOUT = -1;
let configInternal = {
    timeout: exports.NO_TIMEOUT,
    defaultAddress: {
        channelId: 'console',
        user: { id: 'user1', name: 'user1' },
        bot: { id: 'bot', name: 'Bot' },
        conversation: { id: 'user1Conversation' }
    }
};
if (configFileExists) {
    configInternal = JSON.parse(fs.readFileSync(configFilePath, { encoding: 'utf8' }));
}
configInternal.messageFilters = [];
if (configInternal.ignoreInternalSveMessage) {
    configInternal.messageFilters.push(builtInMessageFilters_1.ignoreInternalSaveMessageFilter);
}
exports.config = configInternal;
//# sourceMappingURL=config.js.map